HelpHistoryModel (jEdit API Documentation)

Package org.gjt.sp.jedit.help

## Class HelpHistoryModel

- java.lang.Object
- - org.gjt.sp.jedit.help.HelpHistoryModel

-     public class HelpHistoryModel
      extends java.lang.Object

  History model used by the help browser

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.gjt.sp.jedit.help.HelpHistoryModel.HistoryEntry[]` | `EMPTY_HISTORY_ENTRIES_ARRAY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HelpHistoryModel​(int size)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHelpHistoryModelListener​(HelpHistoryModelListener hhml)` |
    `void` | `addToHistory​(java.lang.String url)` |
    `void` | `fireUpdate()` |
    `boolean` | `hasNext()` |
    `boolean` | `hasPrevious()` |
    `void` | `removeHelpHistoryModelListener​(HelpHistoryModelListener hhml)` |
    `void` | `setCurrentEntry​(org.gjt.sp.jedit.help.HelpHistoryModel.HistoryEntry entry)` |
    `void` | `setCurrentScrollPosition​(java.net.URL currentPage, int scrollPosition)` |
    `void` | `updateTitle​(java.lang.String url, java.lang.String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_HISTORY_ENTRIES_ARRAY

          public static final org.gjt.sp.jedit.help.HelpHistoryModel.HistoryEntry[] EMPTY_HISTORY_ENTRIES_ARRAY

  - ### Constructor Detail

    - #### HelpHistoryModel

          public HelpHistoryModel​(int size)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

    - #### hasPrevious

          public boolean hasPrevious()

    - #### addToHistory

          public void addToHistory​(java.lang.String url)

    - #### setCurrentScrollPosition

          public void setCurrentScrollPosition​(java.net.URL currentPage,
                                               int scrollPosition)

    - #### setCurrentEntry

          public void setCurrentEntry​(org.gjt.sp.jedit.help.HelpHistoryModel.HistoryEntry entry)

    - #### updateTitle

          public void updateTitle​(java.lang.String url,
                                  java.lang.String title)

    - #### addHelpHistoryModelListener

          public void addHelpHistoryModelListener​(HelpHistoryModelListener hhml)

    - #### removeHelpHistoryModelListener

          public void removeHelpHistoryModelListener​(HelpHistoryModelListener hhml)

    - #### fireUpdate

          public void fireUpdate()